EDIT - bug #7881

reference selection combobox broken after error in ...
10/30/2018 10:38 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: critical Found in Version:

Description

reported by henning:

17:44, der Fehler, den ich eben gemeldet habe (#7882) kann nicht ganz so dramatisch gewesen sein. Ich habe ohne den Autor
gespeichert, den Record wieder aufgerufen und zu Ende bearbeitet.

17:48, 30.10.

http://api.cybertaxonomy.org/phycobank/app/registration#!workingset/935ce580-9f5d-4ea7-9cb1-311¢2766¢333

Aufruf , Auswahl es existing names "Anurea octoceras", bei dem es eben Probleme gab. Mit dem Pop up menue "Add new type
designation" kam ein nicht nadher bezeichneter Internal error.

Der kommt jetzt schon bei der ersten Auswahl.
Ist wohl doch ein schlimmerer Fehler, ich bekomme standig Folgefehler, auch als curator mit anderer Referenz... (18:01)

Bei jedem Such- oder Eingabeversuch in Vaadin kommt ein Internal error (18:17)

[AK] ich konnte den fehler 2x reproduzieren und fand im log mehrfach folgenden stacktrace der eventuell aber nichts mit dem Fehler
im VaadinUI zu tun hat

SEVERE:
org.hibernate.HibernateException: A collection with cascade="all-delete-orphan" was no longer refe
renced by the owning entity instance: eu.etaxonomy.cdm.model.common.DefinedTermBase.representation
s

at org.hibernate.engine.internal.Collections.processDereferencedCollection(Collections. jav
a:99)

at org.hibernate.engine.internal.Collections.processUnreachableCollection(Collections. java
:50)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushCollections (AbstractFlu
shingEventListener. java:243)

at org.hibernate.event.internal.AbstractFlushingEventListener.flushEverythingToExecutions (
AbstractFlushingEventListener. java:86)

at org.hibernate.event.internal.DefaultAutoFlushEventListener.onAutoFlush (DefaultAutoFlush
EventListener. java:44)

at org.hibernate.internal.SessionImpl.autoFlushIfRequired(SessionImpl.java:1251)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1767)

at org.hibernate.internal.CriterialImpl.list (CriteriaImpl.java:363)

at org.hibernate.internal.CriterialImpl.uniqueResult (CriteriaImpl. java:385)

at eu.etaxonomy.cdm.persistence.dao.hibernate.commo at org.eclipse.jetty.security.Security
Handler.handle (SecurityHandler. java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler.java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler. java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti
on.java:215)
at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse.jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)
at java.lang.Thread.run (Thread. java:745)

n.CdmEntityDaoBase.countByParam (CdmEntityDaoBase. java:1109)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.VersionableDaoBase.countByParam (Versi
onableDaoBase. java:388)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.IdentifiableDaoBase.countByTitle (Iden
tifiableDaoBase. java:334)

at eu.etaxonomy.cdm.api.service.IdentifiableServiceBase.findByTitle (IdentifiableServiceBas
e.java:139)

at sun.reflect.GeneratedMethodAccessorl0391.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils. java:3
02)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (Reflective
MethodInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodIn
vocation. java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor$l.proceedWithInvocat
ion(TransactionInterceptor. java:99)

at org.springframework.transaction.interceptor.TransactionAspectSupport.invokeWithinTransa
ction(TransactionAspectSupport. java:281)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionIn
terceptor. java:96)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodIn
vocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208

at com.sun.proxy.S$Proxy3095.findByTitle (Unknown Source)

at eu.etaxonomy.cdm.service.CdmFilterablePagingProvider.findEntities (CdmFilterablePagingPr
ovider.java:145)

at org.vaadin.viritin.fields.LazyComboBox$6.findEntities (LazyComboBox.java:252)

at org.vaadin.viritin.LazyList.findEntities(LazyList.java:221)

at org.vaadin.viritin.LazyList.loadNextPage (LazyList.java:46)

at org.vaadin.viritin.LazyList.get (LazyList.java:193)

at java.util.AbstractList$Itr.next (AbstractList.java:358)

at java.util.SubList$1l.next (AbstractList.java:707)

at java.util.AbstractCollection.toArray (AbstractCollection. java:141)

at java.util.ArrayList.<init> (ArrayList.java:177)

at org.vaadin.viritin.LazyList.subList (LazyList.java:294)

at org.vaadin.viritin.ListContainer.getItemIds (ListContainer. java:150)

at com.vaadin.ui.ComboBox.getOptionsWithFilter (ComboBox.java:475)

at com.vaadin.ui.ComboBox.paintContent (ComboBox. java:261)

at com.vaadin.server.LegacyPaint.paint (LegacyPaint.java:65)

at com.vaadin.server.communication.LegacyUidlWriter.write (LegacyUidlWriter.java:82)

at com.vaadin.server.communication.UidlWriter.write (UidlWriter.java:143)

at com.vaadin.server.communication.UidlRequestHandler.writeUidl (UidlRequestHandler.java:12
4)

at com.vaadin.server.communication.UidlRequestHandler.synchronizedHandleRequest (UidlReques
tHandler.java:92)

at com.vaadin.server.SynchronizedRequestHandler.handleRequest (SynchronizedRequestHandler. j
ava:41)

at com.vaadin.server.VaadinService.handleRequest (VaadinService.java:1435)

at com.vaadin.server.VaadinServlet.service (VaadinServlet.java:380)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (Filt
erSecurityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Fi
lterSecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTr
anslationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManage
mentFilter. java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.authentication.AnonymousAuthenticationFilter.doFilter (
AnonymousAuthenticationFilter.java:111)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doF
ilter (SecurityContextHolderAwareRequestFilter. java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy. java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestC
acheAwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterI
nternal (BasicAuthenticationFilter.java:158)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.ocauth2.provider.authentication.OAuth2AuthenticationProcess
ingFilter.doFilter (OAuth2AuthenticationProcessingFilter. java:176)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilt
er.java:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWrite
rFilter. java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Secu
rityContextPersistenceFilter.java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter
.doFilterInternal (WebAsyncManagerIntegrationFilter. java:53)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterCha
inProxy.java:330)

at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. jav
a:213)

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterPro
Xy .java:346)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. jav
a:262)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodi
ngFilter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter. java:
107)
servlet.ServletHandler$CachedChain.doFilter (ServletHandler. java:1652)
servlet.ServletHandler.doHandle (ServletHandler. java:585)
server.handler.ScopedHandler.handle (ScopedHandler. java:143)
security.SecurityHandler.handle (SecurityHandler.java:577)
server.session.SessionHandler.doHandle (SessionHandler. java:223)
server.handler.ContextHandler.doHandle (ContextHandler. java:1127)
servlet.ServletHandler.doScope (ServletHandler. java:515)
server.session.SessionHandler.doScope (SessionHandler. java:185)
server.handler.ContextHandler.doScope (ContextHandler.java:1061)
server.handler.ScopedHandler.handle (ScopedHandler. java:141)
server.handler.ContextHandlerCollection.handle (ContextHandlerCollecti

server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)
server.Server.handle (Server.java:497)
server.HttpChannel.handle (HttpChannel. java:310)
server.HttpConnection.onFillable (HttpConnection. java:257)
io.AbstractConnection$2.run (AbstractConnection. java:540)
util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)
util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

java.lang.Thread.run (Thread. java:745)

Related issues:

Related to EDIT - bug #7882: TeamOrPersonField: exception when selecting author Duplicate
Related to EDIT - bug #7559: possibly corrupted hiberante session after previ... Closed
Related to EDIT - bug #8075: multiple cascade all-delete-orphan exceptions re... Closed
History

#1 - 10/30/2018 10:43 PM - Andreas Kohlbecker

- Description updated

#2 - 10/30/2018 10:43 PM - Andreas Kohlbecker

- Related to bug #7882: TeamQOrPersonField: exception when selecting author added

#3 - 10/30/2018 10:48 PM - Andreas Kohlbecker

- Description updated

#4 - 11/08/2018 03:15 PM - Andreas Kohlbecker

- Related to bug #7559: possibly corrupted hiberante session after previous error on saving editor added

#5 - 11/08/2018 03:15 PM - Andreas Kohlbecker

this is most probably a duplicate of #7559

#6 - 11/23/2018 04:27 PM - Andreas Kohlbecker

close this issue if tit does not occur again in 15 days

#7 - 12/20/2018 04:23 PM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#8 - 02/07/2019 12:00 PM - Andreas Kohlbecker

- Related to bug #8075: multiple cascade all-delete-orphan exceptions related to DefinedTermBase.representations added

#9 - 03/04/2019 11:45 AM - Andreas Kohlbecker

- Priority changed from New to Highest

- Severity changed from normal to critical

#10 - 03/04/2019 03:06 PM - Andreas Kohlbecker

potentially duplicate of #8161

#11 - 03/22/2019 07:56 PM - Andreas Kohlbecker

- Status changed from New to Resolved

03/08/2024
- % Done changed from 0 to 10

potentially fixed through the changes made for #8160, #7106

#12 - 05/16/2019 02:11 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 10 to 100

the cascade="all-delete-orphan" problems did not occur again
